Delen via


Single Sign On Configurations - Create Or Update

Hiermee configureert u eenmalige aanmelding voor deze resource.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Datadog/monitors/{monitorName}/singleSignOnConfigurations/{configurationName}?api-version=2025-06-11

URI-parameters

Name In Vereist Type Description
configurationName
path True

string

Configuratienaam

monitorName
path True

string

minLength: 2
maxLength: 32
pattern: ^[a-zA-Z0-9_][a-zA-Z0-9_-]+$

Resourcenaam bewaken

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string

minLength: 1

De id van het doelabonnement.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagbody

Name Type Description
properties

DatadogSingleSignOnProperties

Antwoorden

Name Type Description
200 OK

DatadogSingleSignOnResource

De updatebewerking van de bron 'DatadogSingleSignOnResource' is geslaagd

201 Created

DatadogSingleSignOnResource

Resource 'DatadogSingleSignOnResource' create-bewerking geslaagd

Kopteksten

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

SingleSignOnConfigurations_CreateOrUpdate

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Datadog/monitors/myMonitor/singleSignOnConfigurations/default?api-version=2025-06-11

{
  "properties": {
    "enterpriseAppId": "00000000-0000-0000-0000-000000000000",
    "singleSignOnState": "Enable"
  }
}

Voorbeeldrespons

{
  "name": "default",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Datadog/monitors/myMonitor/singleSignOnConfigurations/default",
  "properties": {
    "enterpriseAppId": "00000000-0000-0000-0000-000000000000",
    "singleSignOnState": "Enable",
    "singleSignOnUrl": null
  }
}
{
  "name": "default",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Datadog/monitors/myMonitor/singleSignOnConfigurations/default",
  "properties": {
    "enterpriseAppId": "00000000-0000-0000-0000-000000000000",
    "singleSignOnState": "Enable",
    "singleSignOnUrl": null
  }
}

Definities

Name Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

DatadogSingleSignOnProperties
DatadogSingleSignOnResource

Concrete proxyresourcetypen kunnen worden gemaakt door dit type te aliasen met behulp van een specifiek eigenschapstype.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

ProvisioningState
SingleSignOnStates

Verschillende statussen van de SSO-resource

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

DatadogSingleSignOnProperties

Name Type Description
enterpriseAppId

string

De id van de enterprise-app die wordt gebruikt voor eenmalige aanmelding.

provisioningState

ProvisioningState

singleSignOnState

SingleSignOnStates

Verschillende statussen van de SSO-resource

singleSignOnUrl

string

De inlog-URL die specifiek is voor deze Datadog Organisatie.

DatadogSingleSignOnResource

Concrete proxyresourcetypen kunnen worden gemaakt door dit type te aliasen met behulp van een specifiek eigenschapstype.

Name Type Description
id

string

Volledig gekwalificeerde resource-id voor de resource. Vb.: - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

De naam van de resource

properties

DatadogSingleSignOnProperties

systemData

systemData

Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.

type

string

Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

ProvisioningState

Waarde Description
Accepted
Creating
Updating
Deleting
Succeeded
Failed
Canceled
Deleted
NotSpecified

SingleSignOnStates

Verschillende statussen van de SSO-resource

Waarde Description
Initial
Enable
Disable
Existing

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.